## tracker-date-time-utils

tracker-date-time-utils

## Synopsis

    #define             TRACKER_DATE_ERROR
    #define             TRACKER_TYPE_DATE_TIME
    enum                TrackerDateError;
    GQuark              tracker_date_error_quark            (void);
    gint                tracker_date_time_get_local_date    (const GValue *value);
    gint                tracker_date_time_get_local_time    (const GValue *value);
    gint                tracker_date_time_get_offset        (const GValue *value);
    gint64              tracker_date_time_get_time          (const GValue *value);
    GType               tracker_date_time_get_type          (void);
    void                tracker_date_time_set               (GValue *value,
                                                             gint64 time,
                                                             gint offset);
    void                tracker_date_time_set_from_string   (GValue *value,
                                                             const gchar *date_time_string,
                                                             GError **error);

## Description

## Details

### TRACKER_DATE_ERROR

    #define TRACKER_DATE_ERROR                     tracker_date_error_quark ()

### TRACKER_TYPE_DATE_TIME

    #define TRACKER_TYPE_DATE_TIME                 (tracker_date_time_get_type ())

### enum TrackerDateError

    typedef enum  {
    	TRACKER_DATE_ERROR_OFFSET,
    	TRACKER_DATE_ERROR_INVALID_ISO8601
    } TrackerDateError;

### tracker_date_error_quark ()

    GQuark              tracker_date_error_quark            (void);

Returns : |

### tracker_date_time_get_local_date ()

    gint                tracker_date_time_get_local_date    (const GValue *value);

`value` : |
Returns : |

### tracker_date_time_get_local_time ()

    gint                tracker_date_time_get_local_time    (const GValue *value);

`value` : |
Returns : |

### tracker_date_time_get_offset ()

    gint                tracker_date_time_get_offset        (const GValue *value);

`value` : |
Returns : |

### tracker_date_time_get_time ()

    gint64              tracker_date_time_get_time          (const GValue *value);

`value` : |
Returns : |

### tracker_date_time_get_type ()

    GType               tracker_date_time_get_type          (void);

Returns : |

### tracker_date_time_set ()

    void                tracker_date_time_set               (GValue *value,
                                                             gint64 time,
                                                             gint offset);

`value` : |
`time` : |
`offset` : |

### tracker_date_time_set_from_string ()

    void                tracker_date_time_set_from_string   (GValue *value,
                                                             const gchar *date_time_string,
                                                             GError **error);

`value` : |
`date_time_string` : |
`error` : |